/* $Workfile: AudioVolumeIo.h $   $Revision: 1 $    $Modtime: 1/26/03 8:10p $  */
#ifndef AV_IO_H
#define AV_IO_H
/*--------------------------------------------------------------------------*\

  Odin TeleSystems Inc.

  SAA-1007-1 OTX DSP C54x Software Development Kit (SDK)

  IOCLT Codes and Structs for communication between the DSP code and the
  AUDIOVOLUME user application

\*--------------------------------------------------------------------------*/


/*******************************************************************************
  @devnote
   DSP IOCTL codes.
*******************************************************************************/


#define AV_IOCTL_GET_SAMPLE        0x0101  // Mainly for debugging
#define AV_IOCTL_GET_DEBUG_DATA    0x0102  // Mainly for debugging
#define AV_IOCTL_STREAM_RX_DATA    0x0103  // Mainly for debugging


#define AV_IOCTL_SET_VOLUME               0x0104
#define AV_IOCTL_SET_LAW                  0x0105

/*******************************************************************************
  @devnote
   DSP Notify Event codes.
*******************************************************************************/

#define AV_NOTIFY_DEBUG_DATA       0x0200
#define AV_NOTIFY_STREAM_RX_DATA   0x0201

/*******************************************************************************
  @devnote
   Structs for passing data over the DSP IOCTL interface
*******************************************************************************/


// Fix packing for IO Control Structs
#ifndef _TMS320C5XX
#pragma pack(2)
#endif

// Structs used in calls to OtxDspIoControl()

typedef struct AudioVolumeIoInSetVolumeS  // Set volume for all output channels
{
  short        sqCodec[4];     // Codec 0 
} AudioVolumeIoInSetVolumeS;


typedef struct AudioVolumeIoInSetLawS  // Set companding law
{
  short law;
} AudioVolumeIoInSetLawS;


typedef struct AudioVolumeIoInStreamRxDataS
{
  short        bStreamRxData;
} AudioVolumeIoInStreamRxDataS;

typedef struct AudioVolumeIoOutGetSampleS
{
  unsigned short        nResult;
  unsigned short        nDataSample;
} AudioVolumeIoOutGetSampleS;


// Structs used for Notify Events
typedef struct AudioVolumeNotifyGetDebugDataS
{
  unsigned short        nData0;
  unsigned short        nData1;
  unsigned short        nData2;
  unsigned short        nData3;
  unsigned short        nData4;
  unsigned short        nData5;
  unsigned short        nData6;
  unsigned short        nData7;
} AudioVolumeNotifyGetDebugDataS;

typedef struct AudioVolumeNotifyStreamRxDataS
{
  unsigned short        nData[25/* *16 */];
} AudioVolumeNotifyStreamRxDataS;


#ifndef _TMS320C5XX
#pragma pack()
#endif



#endif  // AV_IO_H
